Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.util
Class CompozeProperties

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--java.util.Properties
                        |
                        +--com.compoze.util.ObjectProperties
                              |
                              +--com.compoze.util.MutableProperties
                                    |
                                    +--com.compoze.util.ResourceProperties
                                          |
                                          +--com.compoze.util.CompozeProperties

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class CompozeProperties
extends ResourceProperties
implements java.io.Serializable

This class is a singleton that provides access to the Compoze system properties. The search order for these properties is as follows:

- check Java system properties (`System.getProperty()`)
- check properties in a resource called `compoze.properties` stored in the `CLASSPATH`

See Also:
  Serialized Form

Inner classes inherited from class java.util.Map
`java.util.Map.Entry`

Fields inherited from class com.compoze.util.ResourceProperties
`CONFIG_KEY, m_sResourceName`

Fields inherited from class java.util.Properties
`defaults`

Method Summary
`java.lang.String` | `getProperty(java.lang.String sKey)` Get a property.
`java.lang.String` | `getProperty(java.lang.String sKey, java.lang.String sDefault)` Get a property.
`static CompozeProperties` | `i()` Get the singleton instance of this class.
`static void` | `main(java.lang.String[] args)` Exerciser.

Methods inherited from class com.compoze.util.MutableProperties
`propertyNames, setConfiguration`

Methods inherited from class com.compoze.util.ObjectProperties
`getBoolean, getBoolean, getByte, getByte, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getShort, getShort, getString, getString, getStringArray, getStringArray, getStringArray, replaceSubstitutions`

Methods inherited from class java.util.Properties
`list, list, load, save, setProperty, store`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### i

    public static CompozeProperties i()

  Get the singleton instance of this class.
  Returns:
    the singleton instance of this class

### getProperty

    public java.lang.String getProperty(java.lang.String sKey)

  Get a property.
  Overrides:
    `getProperty` in class `MutableProperties`
  Parameters:
    `sKey` - the key
  Returns:
    the value of the property, or null if it does not exist

### getProperty

    public java.lang.String getProperty(java.lang.String sKey,
                                        java.lang.String sDefault)

  Get a property.
  Overrides:
    `getProperty` in class `MutableProperties`
  Parameters:
    `sKey` - the key
    `sDefault` - the default value
  Returns:
    the value of the property, or null if it does not exist

### main

    public static void main(java.lang.String[] args)

  Exerciser.
  Parameters:
    `args` - the command line arguments

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.